//#############################################################################   
//
//	lcd-demo.c
//
//#############################################################################

#include <stdio.h>
#include <stdlib.h>
#include <usb.h>
#include <time.h>
#include <errno.h>
#include <string.h>

#include "usb4all.h"

//#############################################################################   
//
//       Hauptprogram
//
//#############################################################################

int main(void)

{

  const unsigned char msg[] = "Das ist ein Test";

  int cmd_cnt;
  int buf_cnt;
  unsigned char cmd[USB_BLOCKSIZE];
  unsigned char buf[USB_BLOCKSIZE];
  struct usb4all_t usb4all;

  usb4all_initialize(&usb4all);

  if (usb4all_connect(&usb4all)) {
     perror("Connect Error");
     usb4all_finalize(&usb4all);
     return 1;
  }

  printf("USB4ALL: %s\n",usb4all.usb_name);
  
  cmd_cnt = 4;
  cmd[0]=0x56;	// LCD2
  cmd[1]=0x01;	// Init
  cmd[2]=2;	// Zeilen
  cmd[3]=16;	// Spalten
  buf_cnt = usb4all_data_io(&usb4all,cmd,cmd_cnt,buf,sizeof(buf));
  if (buf_cnt<0) {
     perror("Error1");
     usb4all_finalize(&usb4all);
     return 1;
  }

  cmd_cnt = 3;
  cmd[0]=0x56;	// LCD2
  cmd[1]=0x03;	// Steuerbefehl
  cmd[2]=1;	// Clear
  buf_cnt = usb4all_data_io(&usb4all,cmd,cmd_cnt,buf,sizeof(buf));
  if (buf_cnt<0) {
     perror("Error2");
     usb4all_finalize(&usb4all);
     return 1;
  }

  cmd_cnt = 4;
  cmd[0]=0x56;	// LCD2
  cmd[1]=0x06;	// Gehe zu Position
  cmd[2]=0;	// Zeile 0..3
  cmd[3]=0;	// Spalte 0..39
   
  buf_cnt = usb4all_data_io(&usb4all,cmd,cmd_cnt,buf,sizeof(buf));
  if (buf_cnt<0) {
     perror("Error3");
     usb4all_finalize(&usb4all);
     return 1;
  }

        
  cmd_cnt = 3 + strlen((char*)msg);
  cmd[0]=0x56;	// LCD2
  cmd[1]=0x04;	// String schreiben
  cmd[2]=strlen((char*)msg); // Länge
  cmd[3]=0x00; // strcat hängt ab Code#0 dran..
  strcat((char*)cmd,(char*)msg);
  buf_cnt = usb4all_data_io(&usb4all,cmd,cmd_cnt,buf,sizeof(buf));
  if (buf_cnt<0) {
     perror("Error4");
     usb4all_finalize(&usb4all);
     return 1;
  }

  usb4all_finalize(&usb4all);
  return 0;
}

//#############################################################################
