//#############################################################################   
//
//	pwm-k1-demo.c
//
//#############################################################################

#include <stdio.h>
#include <stdlib.h>
#include <usb.h>
#include <time.h>
#include <errno.h>
#include <string.h>

#include "usb4all.h"

//#############################################################################   
//
//       Hauptprogram
//
//#############################################################################
  
int main(void)

{
  int cmd_cnt;
  int buf_cnt;
  unsigned char cmd[USB_BLOCKSIZE];
  unsigned char buf[USB_BLOCKSIZE];
  struct usb4all_t usb4all;

  usb4all_initialize(&usb4all);

  if (usb4all_connect(&usb4all)) {
     perror("Connect Error");
     usb4all_finalize(&usb4all);
     return 1;
  }

  printf("USB4ALL: %s\n",usb4all.usb_name);
  
  cmd_cnt = 3;
  cmd[0]=0x57;	// PWM1
  cmd[1]=0x01;	// Init
  cmd[2]=3;	// 30khz 100 Steps
  buf_cnt = usb4all_data_io(&usb4all,cmd,cmd_cnt,buf,sizeof(buf));
  if (buf_cnt<0) {
     perror("Error1");
     usb4all_finalize(&usb4all);
     return 1;
  }

  cmd_cnt = 4;
  cmd[0]=0x57;	// PWM1
  cmd[1]=0x02;	// Gehe zu Position
  cmd[2]=30;	// PWM (lo 8Bits)
  cmd[3]=00;	// PWM (hi 2Bits)
   
  buf_cnt = usb4all_data_io(&usb4all,cmd,cmd_cnt,buf,sizeof(buf));
  if (buf_cnt<0) {
     perror("Error2");
     usb4all_finalize(&usb4all);
     return 1;
  }

  usb4all_finalize(&usb4all);
  
  printf("Am Pin13 sollte nun das PWM-Signal rauskommen\n");

}

//#############################################################################
